[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible: handle wget network problems more gracefully
Holger Levsen
holger at moszumanska.debian.org
Thu Sep 10 10:49:05 UTC 2015
This is an automated email from the git hooks/post-receive script.
holger pushed a commit to branch master
in repository jenkins.debian.net.
commit d7c992f0d4691e9f383e1e7df09c0620c11b5e8e
Author: Holger Levsen <holger at layer-acht.org>
Date: Thu Sep 10 12:48:27 2015 +0200
reproducible: handle wget network problems more gracefully
---
bin/reproducible_build.sh | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index 3dba3aa..a126b72 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -407,7 +407,7 @@ get_source_package() {
RESULT=$?
else
# remote build, no need to download the full source package...
- schroot --directory $TMPDIR -c source:jenkins-reproducible-$SUITE apt-get -- --download-only --only-source --print-uris source ${SRCPACKAGE} | grep \.dsc|cut -d " " -f1|xargs wget
+ schroot --directory $TMPDIR -c source:jenkins-reproducible-$SUITE apt-get -- --download-only --only-source --print-uris source ${SRCPACKAGE} | grep \.dsc|cut -d " " -f1|xargs wget || true
RESULT=$?
fi
if [ $RESULT != 0 ] || [ "$(ls ${SRCPACKAGE}_*.dsc 2> /dev/null)" = "" ] ; then
@@ -422,7 +422,7 @@ get_source_package() {
RESULT=$?
else
# remote build, no need to download the full source package...
- schroot --directory $TMPDIR -c source:jenkins-reproducible-$SUITE apt-get -- --download-only --only-source --print-uris source ${SRCPACKAGE} | grep \.dsc|cut -d " " -f1|xargs wget
+ schroot --directory $TMPDIR -c source:jenkins-reproducible-$SUITE apt-get -- --download-only --only-source --print-uris source ${SRCPACKAGE} | grep \.dsc|cut -d " " -f1|xargs wget || true
RESULT=$?
fi
fi
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list